/* tooltip.js */

// The following comments are for JSLint
/*jslint nomen: true, white: true, vars: true */
/*global document, window, screen, console, M */

// This model creates a G.rand property with a private closure

G.tooltip = ( function () {
	"use strict";

	// Any property of <sys> becomes a public property of G.tooltip

	var sys = {

		// G.tooltip.show()
		// x, y : integer = x/y coordinates on canvas
		// glyph : string = Label character
		// comment : string = Label comment
		// edit : boolean = true if tooltip is editable
		// Returns edited string (or original string if no edit)

		show : function ( x, y, glyph, comment, edit ) {
			G.monitor.clear();
			G.monitor.show();
			G.monitor.say( x + ", " + y + " " + glyph + " : " + comment + "\n" );
			return str;
		},

		hide : function () {

		}
	}

	return sys;
} () );
